#!/bin/bash

if [ -z "$1" ]; then
	echo "You must specify the robot's IP address as the command line argument"
	exit
fi

echo Disconnecting any existing adb connections...
./adb disconnect > /dev/null
sleep 3

echo Connecting to $1...
response=`./adb connect $1:5555`
if [[ $response == *"unable"* ]]; then
	echo "Unable to establish an adb connection at this address"
	exit
fi
sleep 3
echo Connected

echo Setting adb root...
./adb root > /dev/null
sleep 5

#May need to reconnect. May not.
./adb connect $1:5555 > /dev/null
sleep 3

#Confirming connection
response=`./adb devices`
if [[ $response != *"5555"* ]]; then
	echo "Patch failed. Please retry and if it continues to fail screen capture the terminal and contact Misty Robotics for support."
	exit
fi

echo Applying patch...
./adb -s $1:5555 remount /vendor/bin  > /dev/null
./adb -s $1:5555 push init.misty.sh /vendor/bin  > /dev/null
./adb -s $1:5555 shell "chmod 755 /vendor/bin/init.misty.sh"
./adb -s $1:5555 shell "chown root:shell /vendor/bin/init.misty.sh"
./adb -s $1:5555 shell "mkdir -p /data/misty/scripts"
./adb -s $1:5555 push scripts.tar /sdcard/  > /dev/null
./adb -s $1:5555 shell "mkdir -p /data/misty/patches"
./adb -s $1:5555 shell "touch /data/misty/patches/patch1.0.5"

echo "Patch complete"
echo "Rebooting 820 processor"
./adb -s $1:5555 reboot
./adb -s $1:5555 disconnect > /dev/null
